View Issue Details

IDProjectCategoryView StatusLast Update
0002124Industrial-Craft²general / otherpublic2017-03-07 20:45
ReportersquallczjAssigned ToChocohead 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWindowsOS Version10
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002124: Game crashes when using treetap on a any barrel instance
DescriptionWhen I first tried brewing beer, I realized that the game would always crash if I right click a treetap on any barrel instance. I get immediately a crash report and this happens to my game version 1.10.2 with industrialcraft-2-2.6.169-ex110.
Steps To Reproduce1. Start any type of new game (preferably a creative game for repro)
2. Put a wooden scaffold on the ground
3. Put an empty booze barrel onto the wooden scaffold
4. Put one wheat into the barrel
5. Put one water cell (containing 1k-mb water) into the barrel
6. Select a treetap in quick action bar and right click on the barrel
7. The game immediately crashes at this moment
TagsNo tags attached.
Minecraft Version1.10.2

Relationships

has duplicate 0002131 resolvedChocohead Using treetap on any boozebarrel (filled, emptied, new) results in a crash. 

Activities

squallczj

2017-02-27 18:13

reporter  

crash-2017-02-27_18.52.42-client.txt (15,001 bytes)
---- Minecraft Crash Report ----

WARNING: coremods are present:
  IC2core (industrialcraft-2-2.6.169-ex110.jar)
  NEICorePlugin (NotEnoughItems-1.10.2-2.1.3.201-universal.jar)
  ForgelinPlugin (Forgelin-1.3.1.jar)
  CCLCorePlugin (CodeChickenLib-1.10.2-2.5.4.218-universal.jar)
Contact their authors BEFORE contacting forge

// Hi. I'm Minecraft, and I'm a crashaholic.

Time: 2/27/17 6:52 PM
Description: Unexpected error

java.lang.IllegalArgumentException: unchanged facing
	at ic2.core.block.TileEntityBlock.setFacing(TileEntityBlock.java:849)
	at ic2.core.block.TileEntityBarrel.onActivated(TileEntityBarrel.java:151)
	at ic2.core.block.BlockTileEntity.func_180639_a(BlockTileEntity.java:607)
	at net.minecraft.client.multiplayer.PlayerControllerMP.func_187099_a(PlayerControllerMP.java:410)
	at net.minecraft.client.Minecraft.func_147121_ag(Minecraft.java:1518)
	at net.minecraft.client.Minecraft.func_184117_aA(Minecraft.java:2184)
	at net.minecraft.client.Minecraft.func_184118_az(Minecraft.java:1961)
	at net.minecraft.client.Minecraft.func_71407_l(Minecraft.java:1749)
	at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1055)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:371)
	at net.minecraft.client.main.Main.main(SourceFile:124)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:483)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Client thread
Stacktrace:
	at ic2.core.block.TileEntityBlock.setFacing(TileEntityBlock.java:849)
	at ic2.core.block.TileEntityBarrel.onActivated(TileEntityBarrel.java:151)
	at ic2.core.block.BlockTileEntity.func_180639_a(BlockTileEntity.java:607)
	at net.minecraft.client.multiplayer.PlayerControllerMP.func_187099_a(PlayerControllerMP.java:410)
	at net.minecraft.client.Minecraft.func_147121_ag(Minecraft.java:1518)
	at net.minecraft.client.Minecraft.func_184117_aA(Minecraft.java:2184)
	at net.minecraft.client.Minecraft.func_184118_az(Minecraft.java:1961)

-- Affected level --
Details:
	Level name: MpServer
	All players: 1 total; [EntityPlayerSP['Squallczj'/327, l='MpServer', x=-138.27, y=57.00, z=-270.29]]
	Chunk stats: MultiplayerChunkCache: 625, 625
	Level seed: 0
	Level generator: ID 00 - default, ver 1. Features enabled: false
	Level generator options: 
	Level spawn location: World: (64,64,56), Chunk: (at 0,4,8 in 4,3; contains blocks 64,0,48 to 79,255,63), Region: (0,0; contains chunks 0,0 to 31,31, blocks 0,0,0 to 511,255,511)
	Level time: 13761028 game time, 18844572 day time
	Level dimension: 0
	Level storage version: 0x00000 - Unknown?
	Level weather: Rain time: 0 (now: false), thunder time: 0 (now: false)
	Level game mode: Game mode: survival (ID 0). Hardcore: false. Cheats: false
	Forced entities: 99 total; [EntitySquid['Squid'/512, l='MpServer', x=-162.01, y=61.02, z=-274.33], EntityZombie['Zombie'/515, l='MpServer', x=-148.48, y=33.00, z=-337.80], EntityItemFrame['entity.ItemFrame.name'/328, l='MpServer', x=-134.50, y=62.50, z=-271.97], EntitySquid['Squid'/329, l='MpServer', x=-142.41, y=61.34, z=-272.60], EntityCreeper['Creeper'/331, l='MpServer', x=-123.50, y=26.00, z=-267.50], EntitySkeleton['Skeleton'/332, l='MpServer', x=-122.50, y=26.00, z=-265.50], EntityCreeper['Creeper'/333, l='MpServer', x=-122.44, y=36.00, z=-264.82], EntityHorse['Skeleton Horse'/334, l='MpServer', x=-138.32, y=63.00, z=-283.03], EntityWolf['Wolf'/335, l='MpServer', x=-119.28, y=63.00, z=-283.70], EntityItem['item.tile.cactus'/336, l='MpServer', x=-126.88, y=63.00, z=-272.28], EntityPlayerSP['Squallczj'/327, l='MpServer', x=-138.27, y=57.00, z=-270.29], EntityItem['item.tile.cactus'/337, l='MpServer', x=-118.13, y=63.00, z=-272.74], EntityItem['item.tile.cactus'/338, l='MpServer', x=-116.13, y=63.00, z=-272.74], EntityItem['item.tile.cactus'/339, l='MpServer', x=-119.29, y=63.00, z=-272.76], EntityItem['item.tile.cactus'/340, l='MpServer', x=-124.00, y=63.00, z=-272.75], EntityItem['item.tile.cactus'/341, l='MpServer', x=-117.08, y=63.00, z=-272.73], EntityItem['item.tile.cactus'/342, l='MpServer', x=-124.88, y=63.00, z=-272.23], EntityItem['item.tile.cactus'/343, l='MpServer', x=-118.64, y=62.63, z=-272.63], EntityItem['item.tile.cactus'/344, l='MpServer', x=-122.32, y=63.00, z=-272.77], EntityItem['item.tile.cactus'/345, l='MpServer', x=-120.88, y=63.00, z=-272.75], EntityItem['item.tile.cactus'/346, l='MpServer', x=-126.01, y=63.00, z=-272.77], EntitySquid['Squid'/347, l='MpServer', x=-123.81, y=60.00, z=-282.40], EntityPig['Pig'/366, l='MpServer', x=-210.08, y=72.00, z=-190.67], EntityPig['Pig'/367, l='MpServer', x=-214.49, y=74.00, z=-190.73], EntitySkeleton['Skeleton'/373, l='MpServer', x=-202.50, y=5.00, z=-235.50], EntityPig['Pig'/374, l='MpServer', x=-205.50, y=76.00, z=-228.75], EntitySkeleton['Skeleton'/375, l='MpServer', x=-211.49, y=50.00, z=-215.74], EntityEnderman['Enderman'/376, l='MpServer', x=-197.46, y=36.00, z=-282.94], EntitySkeleton['Skeleton'/379, l='MpServer', x=-197.50, y=36.00, z=-283.81], EntitySpider['Spider'/380, l='MpServer', x=-201.50, y=36.00, z=-279.50], EntitySpider['Spider'/381, l='MpServer', x=-201.50, y=36.00, z=-279.50], EntitySkeleton['Skeleton'/382, l='MpServer', x=-205.50, y=37.00, z=-276.50], EntityCreeper['Creeper'/412, l='MpServer', x=-110.21, y=41.00, z=-191.29], EntityCreeper['Creeper'/414, l='MpServer', x=-109.29, y=41.00, z=-191.68], EntityCreeper['Creeper'/415, l='MpServer', x=-108.57, y=41.00, z=-191.53], EntityBat['Bat'/416, l='MpServer', x=-71.75, y=19.10, z=-216.60], EntityCreeper['Creeper'/417, l='MpServer', x=-78.50, y=33.00, z=-213.50], EntityBat['Bat'/418, l='MpServer', x=-73.48, y=34.58, z=-211.27], EntityBat['Bat'/419, l='MpServer', x=-66.25, y=37.10, z=-214.61], EntityBat['Bat'/420, l='MpServer', x=-79.51, y=34.98, z=-213.38], EntitySpider['Spider'/421, l='MpServer', x=-83.70, y=34.00, z=-212.43], EntityZombie['Zombie'/422, l='MpServer', x=-62.50, y=38.00, z=-225.50], EntitySkeleton['Skeleton'/429, l='MpServer', x=-60.50, y=27.00, z=-211.50], EntityZombie['Zombie'/430, l='MpServer', x=-79.50, y=32.00, z=-202.50], EntityCreeper['Creeper'/431, l='MpServer', x=-73.20, y=32.00, z=-195.45], EntityZombie['Zombie'/432, l='MpServer', x=-75.50, y=35.00, z=-192.50], EntityZombie['Zombie'/433, l='MpServer', x=-75.50, y=35.00, z=-196.50], EntityZombie['Zombie'/434, l='MpServer', x=-76.50, y=35.00, z=-198.50], EntityChicken['Chicken'/435, l='MpServer', x=-78.48, y=66.00, z=-201.20], EntityBat['Bat'/441, l='MpServer', x=-102.53, y=31.11, z=-208.68], EntityCreeper['Creeper'/442, l='MpServer', x=-102.50, y=36.00, z=-208.50], EntitySkeleton['Skeleton'/443, l='MpServer', x=-68.50, y=15.00, z=-241.50], EntityBat['Bat'/444, l='MpServer', x=-61.38, y=19.47, z=-262.53], EntityBat['Bat'/445, l='MpServer', x=-67.88, y=16.31, z=-247.00], EntitySkeleton['Skeleton'/449, l='MpServer', x=-102.50, y=29.00, z=-198.50], EntityCreeper['Creeper'/450, l='MpServer', x=-106.50, y=41.00, z=-194.50], EntityZombie['Zombie'/451, l='MpServer', x=-108.49, y=40.00, z=-194.29], EntityBat['Bat'/452, l='MpServer', x=-75.90, y=21.06, z=-228.80], EntityWitch['Witch'/453, l='MpServer', x=-78.50, y=34.00, z=-233.50], EntityBat['Bat'/454, l='MpServer', x=-62.88, y=19.10, z=-249.91], EntityChicken['Chicken'/455, l='MpServer', x=-63.02, y=75.00, z=-247.84], EntitySkeleton['Skeleton'/459, l='MpServer', x=-159.50, y=6.00, z=-207.50], EntityPig['Pig'/460, l='MpServer', x=-156.49, y=72.00, z=-193.67], EntityZombie['Zombie'/461, l='MpServer', x=-127.50, y=24.00, z=-233.50], EntityBat['Bat'/462, l='MpServer', x=-126.80, y=42.99, z=-237.54], EntityCreeper['Creeper'/463, l='MpServer', x=-119.50, y=55.00, z=-229.50], EntityChicken['Chicken'/465, l='MpServer', x=-142.77, y=68.00, z=-195.54], EntityCreeper['Creeper'/467, l='MpServer', x=-109.50, y=28.00, z=-238.50], EntityZombie['Zombie'/468, l='MpServer', x=-105.50, y=19.00, z=-293.50], EntityCreeper['Creeper'/469, l='MpServer', x=-110.23, y=20.00, z=-292.49], EntityZombie['Zombie'/470, l='MpServer', x=-108.50, y=23.00, z=-303.50], EntityBat['Bat'/473, l='MpServer', x=-141.50, y=22.00, z=-256.28], EntityCow['Cow'/478, l='MpServer', x=-142.81, y=63.00, z=-289.51], EntityCow['Cow'/479, l='MpServer', x=-142.49, y=63.00, z=-296.55], EntityCow['Cow'/480, l='MpServer', x=-143.69, y=63.00, z=-290.08], EntityCow['Cow'/481, l='MpServer', x=-142.83, y=63.00, z=-294.16], EntitySquid['Squid'/482, l='MpServer', x=-132.15, y=62.20, z=-288.98], EntitySquid['Squid'/483, l='MpServer', x=-135.60, y=61.00, z=-282.40], EntityBat['Bat'/484, l='MpServer', x=-154.24, y=45.10, z=-274.29], EntitySheep['Sheep'/485, l='MpServer', x=-158.55, y=63.00, z=-286.08], EntitySheep['Sheep'/486, l='MpServer', x=-158.21, y=63.00, z=-287.11], EntitySkeleton['Skeleton'/487, l='MpServer', x=-106.50, y=29.00, z=-322.50], EntityChicken['Chicken'/488, l='MpServer', x=-81.54, y=73.00, z=-348.87], EntityPig['Pig'/489, l='MpServer', x=-186.14, y=72.00, z=-226.34], EntityBat['Bat'/490, l='MpServer', x=-153.55, y=21.92, z=-264.57], EntityBat['Bat'/491, l='MpServer', x=-157.92, y=53.10, z=-256.43], EntityCreeper['Creeper'/492, l='MpServer', x=-122.19, y=21.00, z=-288.53], EntitySquid['Squid'/493, l='MpServer', x=-125.80, y=62.58, z=-292.74], EntityZombie['Zombie'/498, l='MpServer', x=-148.57, y=9.00, z=-250.80], EntityPig['Pig'/499, l='MpServer', x=-194.18, y=64.00, z=-270.71], EntityCreeper['Creeper'/500, l='MpServer', x=-123.81, y=70.00, z=-337.50], EntityCow['Cow'/504, l='MpServer', x=-146.55, y=63.00, z=-290.56], EntityCow['Cow'/505, l='MpServer', x=-144.61, y=63.00, z=-289.45], EntityCow['Cow'/506, l='MpServer', x=-146.29, y=63.00, z=-296.55], EntityCow['Cow'/507, l='MpServer', x=-145.51, y=63.00, z=-289.49], EntityCow['Cow'/508, l='MpServer', x=-145.37, y=63.00, z=-295.58], EntitySheep['Sheep'/509, l='MpServer', x=-156.92, y=63.00, z=-286.50], EntitySheep['Sheep'/510, l='MpServer', x=-158.55, y=63.00, z=-290.55], EntitySheep['Sheep'/511, l='MpServer', x=-156.79, y=63.00, z=-290.18]]
	Retry entities: 0 total; []
	Server brand: fml,forge
	Server type: Integrated singleplayer server
Stacktrace:
	at net.minecraft.client.multiplayer.WorldClient.func_72914_a(WorldClient.java:415)
	at net.minecraft.client.Minecraft.func_71396_d(Minecraft.java:2660)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:400)
	at net.minecraft.client.main.Main.main(SourceFile:124)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:483)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)

-- System Details --
Details:
	Minecraft Version: 1.10.2
	Operating System: Windows 10 (amd64) version 10.0
	Java Version: 1.8.0_25, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 1305723368 bytes (1245 MB) / 3088580608 bytes (2945 MB) up to 7635730432 bytes (7282 MB)
	JVM Flags: 4 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx8192m -Xms256m -XX:PermSize=256m
	IntCache: cache: 0, tcache: 0, allocated: 13, tallocated: 95
	FML: MCP 9.32 Powered by Forge 12.18.3.2185 20 mods loaded, 20 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
	UCHIJAAAA	mcp{9.19} [Minecraft Coder Pack] (minecraft.jar) 
	UCHIJAAAA	FML{8.0.99.99} [Forge Mod Loader] (forge-1.10.2-12.18.3.2185.jar) 
	UCHIJAAAA	Forge{12.18.3.2185} [Minecraft Forge] (forge-1.10.2-12.18.3.2185.jar) 
	UCHIJAAAA	NotEnoughItems{2.1.3.201} [Not Enough Items] (NotEnoughItems-1.10.2-2.1.3.201-universal.jar) 
	UCHIJAAAA	ccl-entityhook{1.0} [ccl-entityhook] (CodeChickenLib-1.10.2-2.5.4.218-universal.jar) 
	UCHIJAAAA	IC2{2.6.169-ex110} [IndustrialCraft 2] (industrialcraft-2-2.6.169-ex110.jar) 
	UCHIJAAAA	advanced_machines{60.0.1} [Advanced Machines] (Advanced Machines-60.0.1.jar) 
	UCHIJAAAA	advanced_solar_panels{4.0.4} [Advanced Solar Panels] (Advanced Solar Panels-4.0.4.jar) 
	UCHIJAAAA	blockarmor{2.2} [Block Armor] (BlockArmor-1.10.2-2.2.jar) 
	UCHIJAAAA	CodeChickenLib{2.5.4.218} [CodeChicken Lib] (CodeChickenLib-1.10.2-2.5.4.218-universal.jar) 
	UCHIJAAAA	CodeChickenCore{2.4.0.101} [CodeChicken Core] (CodeChickenCore-1.10.2-2.4.0.101-universal.jar) 
	UCHIJAAAA	DurabilityShow{3.1.1} [Durability Show] (Durability Show-1.9.4-3.1.1.jar) 
	UCHIJAAAA	forgelin{1.3.0} [Forgelin] (Forgelin-1.3.1.jar) 
	UCHIJAAAA	JEI{3.14.5.406} [Just Enough Items] (jei_1.10.2-3.14.5.406.jar) 
	UCHIJAAAA	ironbackpacks{1.10.2-2.2.22} [Iron Backpacks] (IronBackpacks-1.10.2-2.2.22.jar) 
	UCHIJAAAA	journeymap{1.10.2-5.4.6} [JourneyMap] (journeymap-1.10.2-5.4.6.jar) 
	UCHIJAAAA	shadowmc{3.6.1} [ShadowMC] (ShadowMC-1.10.2-3.6.1.jar) 
	UCHIJAAAA	SleepingBag{1.4.0} [Sleeping Bag] (SleepingBag-1.10.2-1.4.0.jar) 
	UCHIJAAAA	spartanshields{1.2a} [Spartan Shields] (SpartanShields-1.10.2-1.2a.jar) 
	UCHIJAAAA	torohealthmod{1.10.2-7} [ToroHealth Damage Indicators] (torohealth-1.10.2-7.jar) 
	Loaded coremods (and transformers): 
IC2core (industrialcraft-2-2.6.169-ex110.jar)
  
NEICorePlugin (NotEnoughItems-1.10.2-2.1.3.201-universal.jar)
  codechicken.nei.asm.NEITransformer
ForgelinPlugin (Forgelin-1.3.1.jar)
  
CCLCorePlugin (CodeChickenLib-1.10.2-2.5.4.218-universal.jar)
  codechicken.lib.asm.ClassHeirachyManager
  codechicken.lib.asm.CCL_ASMTransformer
	GL info: ' Vendor: 'NVIDIA Corporation' Version: '4.5.0 NVIDIA 378.66' Renderer: 'GeForce GTX 760/PCIe/SSE2'
	NotEnoughItems Invalid Fingerprint Reports: 
	CodeChickenLib Invalid Fingerprint Reports: 
	CodeChickenCore Invalid Fingerprint Reports: 
	Launched Version: forge-12.18.3.2185
	LWJGL: 2.9.4
	OpenGL: GeForce GTX 760/PCIe/SSE2 GL version 4.5.0 NVIDIA 378.66, NVIDIA Corporation
	GL Caps: Using GL 1.3 multitexturing.
Using GL 1.3 texture combiners.
Using framebuffer objects because OpenGL 3.0 is supported and separate blending is supported.
Shaders are available because OpenGL 2.1 is supported.
VBOs are available because OpenGL 1.5 is supported.

	Using VBOs: Yes
	Is Modded: Definitely; Client brand changed to 'fml,forge'
	Type: Client (map_client.txt)
	Resource Packs: 
	Current Language: HAYO - I don't now (IC)
	Profiler Position: N/A (disabled)
	CPU: 8x Intel(R) Core(TM) i7-4770 CPU @ 3.40GHz

Chocohead

2017-02-27 21:42

developer   ~0005081

Fixed in IC2 2.6.170

Issue History

Date Modified Username Field Change
2017-02-27 18:13 squallczj New Issue
2017-02-27 18:13 squallczj File Added: crash-2017-02-27_18.52.42-client.txt
2017-02-27 21:42 Chocohead Note Added: 0005081
2017-02-27 21:42 Chocohead Status new => resolved
2017-02-27 21:42 Chocohead Fixed in Version => Builds for MC 1.10.x
2017-02-27 21:42 Chocohead Resolution open => fixed
2017-02-27 21:42 Chocohead Assigned To => Chocohead
2017-03-07 20:45 Chocohead Relationship added has duplicate 0002131